The Stock Reposting Settings object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

start_time string
end_time string
limits_dont_apply_on string
limit_reposting_timeslot boolean

Default: false

item_based_reposting boolean

Default: true

notify_reposting_error_to_role string
enable_parallel_reposting boolean

Default: false

no_of_parallel_reposting integer

Default: 4

enable_separate_reposting_for_gl boolean

Default: false

The Stock Reposting Settings object
{
  "id": "stock-reposting-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "start_time": "start_time_example",
  "end_time": "end_time_example",
  "limits_dont_apply_on": "limits_dont_apply_on_example",
  "limit_reposting_timeslot": false,
  "item_based_reposting": true,
  "notify_reposting_error_to_role": "notify_reposting_error_to_role_example",
  "enable_parallel_reposting": false,
  "no_of_parallel_reposting": 4,
  "enable_separate_reposting_for_gl": false
}
GET /api/stock/stock-reposting-settings

Retrieve stock reposting settings

Retrieves the current stock reposting settings. This is a singleton resource.

Returns

Returns the stock reposting settings object.

GET /api/stock/stock-reposting-settings
curl https://api.overplane.dev/api/stock/stock-reposting-settings \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "stock-reposting-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "start_time": "start_time_example",
  "end_time": "end_time_example",
  "limits_dont_apply_on": "limits_dont_apply_on_example",
  "limit_reposting_timeslot": false,
  "item_based_reposting": true,
  "notify_reposting_error_to_role": "notify_reposting_error_to_role_example",
  "enable_parallel_reposting": false,
  "no_of_parallel_reposting": 4,
  "enable_separate_reposting_for_gl": false
}
PATCH /api/stock/stock-reposting-settings/{id}

Update a stock reposting settings

Updates the specified stock reposting settings by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the stock reposting settings to update.

Body parameters

start_time string
end_time string
limits_dont_apply_on string
limit_reposting_timeslot boolean

Default: false

item_based_reposting boolean

Default: true

notify_reposting_error_to_role string
enable_parallel_reposting boolean

Default: false

no_of_parallel_reposting integer

Default: 4

enable_separate_reposting_for_gl boolean

Default: false

Returns

Returns the updated stock reposting settings object.

PATCH /api/stock/stock-reposting-settings/{id}
curl https://api.overplane.dev/api/stock/stock-reposting-settings/stock-reposting-settings_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"start_time":"start_time_example","end_time":"end_time_example"}'
Response
{
  "id": "stock-reposting-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "start_time": "start_time_example",
  "end_time": "end_time_example",
  "limits_dont_apply_on": "limits_dont_apply_on_example",
  "limit_reposting_timeslot": false,
  "item_based_reposting": true,
  "notify_reposting_error_to_role": "notify_reposting_error_to_role_example",
  "enable_parallel_reposting": false,
  "no_of_parallel_reposting": 4,
  "enable_separate_reposting_for_gl": false
}